NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.PointSetBuilder Class Reference

Represents a NXOpen.Features.PointSetBuilder . More...

Inheritance diagram for NXOpen.Features.PointSetBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CurvePointsType {
  EqualArcLength, EqualParameters, GeometricProgression, ChordalTolerance,
  IncrementalArcLength, SpecifiedProjectionPoints, CurvePercentage
}
 The settings for the curve points definition. More...
 
enum  FacePointsType { Pattern, FacePercentage, BSurfacePoles }
 The settings for the face points definition. More...
 
enum  PatternLimitsType { DiagonalPoints, Percentages }
 The settings for the pattern limit definition. More...
 
enum  SplinePointsType { DefiningPoints, Knots, Poles }
 The settings for the spline points definition. More...
 
enum  Types { CurvePoints, SplinePoints, FacePoints, IntersectionPoints }
 The settings for the type of Point Set feature. More...
 

Public Member Functions

unsafe
NXOpen.Features.PointSetFacePercentageBuilder 
CreateFacePercentageListItem ()
 Create an entry for the face percentage list. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance. More...
 
unsafe NXOpen.Expression ArcLength [get]
 Returns the arc length of the curve at which a point is to be created. More...
 
unsafe bool Associative [get, set]
 Returns or sets the associative setting. More...
 
unsafe NXOpen.Expression ChordalTolerance [get]
 Returns the chordal tolerance used in creating points. More...
 
unsafe NXOpen.NXObjectList CurvePercentageList [get]
 Returns the curve percentage list. More...
 
unsafe
NXOpen.Features.PointSetBuilder.CurvePointsType 
CurvePointsBy [get, set]
 Returns or sets the curve points definition setting. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.Expression EndPercentage [get]
 Returns the percentage of the curve at which to stop creating points. More...
 
unsafe NXOpen.Section EndPercentageSection [get]
 Returns a section containing an object (curve, edge, or point) that will be used to determine an intersection with the curves/edges selected for setting the EndPercentage Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.EqualArcLength , NXOpen.Features.PointSetBuilder.CurvePointsType.EqualParameters , or NXOpen.Features.PointSetBuilder.CurvePointsType.GeometricProgression . More...
 
unsafe
NXOpen.Features.PointSetFacePercentageBuilderList 
FacePercentageList [get]
 Returns the face percentage list. More...
 
unsafe
NXOpen.Features.PointSetBuilder.FacePointsType 
FacePointsBy [get, set]
 Returns or sets the face points definition setting. More...
 
unsafe bool GroupPoints [get, set]
 Returns or sets the group points setting. More...
 
unsafe NXOpen.Section IntersectionSection [get]
 Returns the intersection Section. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
IntersectionSelectedObjects [get]
 Returns the intersection selected objects. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
IntersectionSelectedObjectsSecond [get]
 Returns the intersection selected objects second. More...
 
unsafe NXOpen.Section MultipleCurveOrEdgeCollector [get]
 Returns the collector that is used to hold multiple curves or edges. More...
 
unsafe NXOpen.ScCollector MultipleFaceCollector [get]
 Returns the collector that is used to hold faces. More...
 
unsafe NXOpen.Expression NumberOfPointsExpression [get]
 Returns the number of points that will be created along curve. More...
 
unsafe NXOpen.Expression NumberOfPointsInUDirectionExpression [get]
 Returns the number of points to be created in the u direction. More...
 
unsafe NXOpen.Expression NumberOfPointsInVDirectionExpression [get]
 Returns the number of points to be created in the v direction. More...
 
unsafe
NXOpen.Features.PointSetBuilder.PatternLimitsType 
PatternLimitsBy [get, set]
 Returns or sets the pattern limits definition setting. More...
 
unsafe NXOpen.Expression PatternLimitsEndingUValue [get]
 Returns the ending u value of the pattern. More...
 
unsafe NXOpen.Expression PatternLimitsEndingVValue [get]
 Returns the ending v value of the pattern. More...
 
unsafe NXOpen.Point PatternLimitsEndPoint [get, set]
 Returns or sets the ending diagonal point of the pattern. More...
 
unsafe NXOpen.Expression PatternLimitsStartingUValue [get]
 Returns the starting u value of the pattern. More...
 
unsafe NXOpen.Expression PatternLimitsStartingVValue [get]
 Returns the starting v value of the pattern. More...
 
unsafe NXOpen.Point PatternLimitsStartPoint [get, set]
 Returns or sets the starting diagonal point of the pattern. More...
 
unsafe NXOpen.PointList ProjectionPointList [get]
 Returns the projection point list. More...
 
unsafe NXOpen.Expression Ratio [get]
 Returns the ratio of geometric progression. More...
 
unsafe NXOpen.Section SingleCurveOrEdgeCollector [get]
 Returns the collector that is used to hold a single curve or edge definition. More...
 
unsafe NXOpen.SelectFace SingleFaceObject [get]
 Returns the select object that is used to hold the face. More...
 
unsafe NXOpen.ScCollector SplineCollector [get]
 Returns the collector that is used to hold a spline. More...
 
unsafe
NXOpen.Features.PointSetBuilder.SplinePointsType 
SplinePointsBy [get, set]
 Returns or sets the spline points definition setting. More...
 
unsafe NXOpen.Expression StartPercentage [get]
 Returns the percentage of the curve at which to start creating points. More...
 
unsafe NXOpen.Section StartPercentageSection [get]
 Returns a section containing an object (curve, edge, or point) that will be used to determine an intersection with the curves/edges selected for setting the StartPercentage Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.EqualArcLength , NXOpen.Features.PointSetBuilder.CurvePointsType.EqualParameters , or NXOpen.Features.PointSetBuilder.CurvePointsType.GeometricProgression . More...
 
unsafe
NXOpen.Features.PointSetBuilder.Types 
Type [get, set]
 Returns or sets the type setting. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.PointSetBuilder .

This builder is used to create and edit Point Set features. The Point Set feature allows you to create points on curves, edges or faces.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreatePointSetBuilder

Default values.

Property Value

ArcLength.Value

1 (millimeters part), 0.01 (inches part)

Associative

1

ChordalTolerance.Value

2.54 (millimeters part), 0.1 (inches part)

CurvePointsBy

EqualArcLength

EndPercentage.Value

100

FacePointsBy

Pattern

NumberOfPointsExpression.Value

2

NumberOfPointsInUDirectionExpression.Value

10

NumberOfPointsInVDirectionExpression.Value

10

PatternLimitsBy

Percentages

PatternLimitsEndingUValue.Value

100

PatternLimitsEndingVValue.Value

100

PatternLimitsStartingUValue.Value

0

PatternLimitsStartingVValue.Value

0

Ratio.Value

1

SplinePointsBy

DefiningPoints

StartPercentage.Value

0

Created in NX6.0.0

Member Enumeration Documentation

The settings for the curve points definition.

Enumerator
EqualArcLength 

Points will be created at equal arc length along curve.

EqualParameters 

Points will be created at equal parameter spacing along curve.

GeometricProgression 

Points will be created with a geometric progression along curve.

ChordalTolerance 

Points will be created based on the chordal deviation of curve.

IncrementalArcLength 

A point will be created at the arc length spacing input.

SpecifiedProjectionPoints 

Points will be created at minimum distance to curve.

CurvePercentage 

A point will be created at given curve percentage.

The settings for the face points definition.

Enumerator
Pattern 

Points will be created based on a defined pattern.

FacePercentage 

A point will be created at given face percentages.

BSurfacePoles 

Points will be created at surface poles.

The settings for the pattern limit definition.

Enumerator
DiagonalPoints 

The pattern limit is defined by two points.

Percentages 

The pattern limit is defined by surface U and V values.

The settings for the spline points definition.

Enumerator
DefiningPoints 

Points will be created at spline defining points.

Knots 

Points will be created at spline knot points.

Poles 

Points will be created at spline pole points.

The settings for the type of Point Set feature.

Enumerator
CurvePoints 

Create points along curve.

SplinePoints 

Create points along spline.

FacePoints 

Create points on face

IntersectionPoints 

Create intersection points

Member Function Documentation

unsafe NXOpen.Features.PointSetFacePercentageBuilder NXOpen.Features.PointSetBuilder.CreateFacePercentageListItem ( )
inline

Create an entry for the face percentage list.

Created in NX6.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns

Property Documentation

unsafe double NXOpen.Features.PointSetBuilder.AngleTolerance
getset

Returns or sets the angle tolerance.

Used in determining curve tangency when needed.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.ArcLength
get

Returns the arc length of the curve at which a point is to be created.

Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.IncrementalArcLength .

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.PointSetBuilder.Associative
getset

Returns or sets the associative setting.

true indicates a feature will be created, false indicates just points will be created

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.ChordalTolerance
get

Returns the chordal tolerance used in creating points.

Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.ChordalTolerance .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.NXObjectList NXOpen.Features.PointSetBuilder.CurvePercentageList
get

Returns the curve percentage list.

Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.CurvePercentage .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.PointSetBuilder.CurvePointsType NXOpen.Features.PointSetBuilder.CurvePointsBy
getset

Returns or sets the curve points definition setting.

Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints .

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.PointSetBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Used in combining curves when needed.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.EndPercentage
get
unsafe NXOpen.Section NXOpen.Features.PointSetBuilder.EndPercentageSection
get

Returns a section containing an object (curve, edge, or point) that will be used to determine an intersection with the curves/edges selected for setting the EndPercentage Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.EqualArcLength , NXOpen.Features.PointSetBuilder.CurvePointsType.EqualParameters , or NXOpen.Features.PointSetBuilder.CurvePointsType.GeometricProgression .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.PointSetFacePercentageBuilderList NXOpen.Features.PointSetBuilder.FacePercentageList
get

Returns the face percentage list.

Only used when type is NXOpen.Features.PointSetBuilder.Types.FacePoints , and when NXOpen.Features.PointSetBuilder.FacePointsBy is NXOpen.Features.PointSetBuilder.FacePointsType.FacePercentage .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.PointSetBuilder.FacePointsType NXOpen.Features.PointSetBuilder.FacePointsBy
getset

Returns or sets the face points definition setting.

Only used when type is NXOpen.Features.PointSetBuilder.Types.FacePoints .

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.PointSetBuilder.GroupPoints
getset

Returns or sets the group points setting.

true indicates a points will be grouped together. This setting is applicable only when associative is false.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.PointSetBuilder.IntersectionSection
get

Returns the intersection Section.

This is used only, when NXOpen.Features.PointSetBuilder.Types is NXOpen.Features.PointSetBuilder.Types.IntersectionPoints

Created in NX8.5.0

Deprecated in NX9.0.0. Please use NXOpen.Features.PointSetBuilder.IntersectionSelectedObjectsSecond instead.

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.PointSetBuilder.IntersectionSelectedObjects
get

Returns the intersection selected objects.

This is used only, when NXOpen.Features.PointSetBuilder.Types is NXOpen.Features.PointSetBuilder.Types.IntersectionPoints . Only NXOpen.Section or NXOpen.ScCollector are allowed as intersection selected objects.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.PointSetBuilder.IntersectionSelectedObjectsSecond
get

Returns the intersection selected objects second.

This is used only, when NXOpen.Features.PointSetBuilder.Types is NXOpen.Features.PointSetBuilder.Types.IntersectionPoints

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.PointSetBuilder.MultipleCurveOrEdgeCollector
get

Returns the collector that is used to hold multiple curves or edges.

Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.SpecifiedProjectionPoints , or NXOpen.Features.PointSetBuilder.CurvePointsType.IncrementalArcLength .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.PointSetBuilder.MultipleFaceCollector
get
unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.NumberOfPointsExpression
get
unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.NumberOfPointsInUDirectionExpression
get

Returns the number of points to be created in the u direction.

Only used when type is NXOpen.Features.PointSetBuilder.Types.FacePoints , and when NXOpen.Features.PointSetBuilder.FacePointsBy is NXOpen.Features.PointSetBuilder.FacePointsType.Pattern .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.NumberOfPointsInVDirectionExpression
get

Returns the number of points to be created in the v direction.

Only used when type is NXOpen.Features.PointSetBuilder.Types.FacePoints , and when NXOpen.Features.PointSetBuilder.FacePointsBy is NXOpen.Features.PointSetBuilder.FacePointsType.Pattern .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.PointSetBuilder.PatternLimitsType NXOpen.Features.PointSetBuilder.PatternLimitsBy
getset

Returns or sets the pattern limits definition setting.

Only used when type is NXOpen.Features.PointSetBuilder.Types.FacePoints , and when NXOpen.Features.PointSetBuilder.FacePointsBy is NXOpen.Features.PointSetBuilder.FacePointsType.Pattern .

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.PatternLimitsEndingUValue
get
unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.PatternLimitsEndingVValue
get
unsafe NXOpen.Point NXOpen.Features.PointSetBuilder.PatternLimitsEndPoint
getset

Returns or sets the ending diagonal point of the pattern.

Only used when type is NXOpen.Features.PointSetBuilder.Types.FacePoints , and when NXOpen.Features.PointSetBuilder.FacePointsBy is NXOpen.Features.PointSetBuilder.FacePointsType.Pattern , and when NXOpen.Features.PointSetBuilder.PatternLimitsBy is NXOpen.Features.PointSetBuilder.PatternLimitsType.DiagonalPoints .

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.PatternLimitsStartingUValue
get
unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.PatternLimitsStartingVValue
get
unsafe NXOpen.Point NXOpen.Features.PointSetBuilder.PatternLimitsStartPoint
getset

Returns or sets the starting diagonal point of the pattern.

Only used when type is NXOpen.Features.PointSetBuilder.Types.FacePoints , and when NXOpen.Features.PointSetBuilder.FacePointsBy is NXOpen.Features.PointSetBuilder.FacePointsType.Pattern , and when NXOpen.Features.PointSetBuilder.PatternLimitsBy is NXOpen.Features.PointSetBuilder.PatternLimitsType.DiagonalPoints .

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.PointList NXOpen.Features.PointSetBuilder.ProjectionPointList
get

Returns the projection point list.

Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.SpecifiedProjectionPoints .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.Ratio
get

Returns the ratio of geometric progression.

Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.GeometricProgression .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.PointSetBuilder.SingleCurveOrEdgeCollector
get
unsafe NXOpen.SelectFace NXOpen.Features.PointSetBuilder.SingleFaceObject
get

Returns the select object that is used to hold the face.

Only used when type is NXOpen.Features.PointSetBuilder.Types.FacePoints , and when NXOpen.Features.PointSetBuilder.FacePointsBy is NXOpen.Features.PointSetBuilder.FacePointsType.Pattern .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.PointSetBuilder.SplineCollector
get

Returns the collector that is used to hold a spline.

Only used when type is NXOpen.Features.PointSetBuilder.Types.SplinePoints .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.PointSetBuilder.SplinePointsType NXOpen.Features.PointSetBuilder.SplinePointsBy
getset

Returns or sets the spline points definition setting.

Only used when type is NXOpen.Features.PointSetBuilder.Types.SplinePoints .

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.PointSetBuilder.StartPercentage
get
unsafe NXOpen.Section NXOpen.Features.PointSetBuilder.StartPercentageSection
get

Returns a section containing an object (curve, edge, or point) that will be used to determine an intersection with the curves/edges selected for setting the StartPercentage Only used when type is NXOpen.Features.PointSetBuilder.Types.CurvePoints , and when NXOpen.Features.PointSetBuilder.CurvePointsBy is NXOpen.Features.PointSetBuilder.CurvePointsType.EqualArcLength , NXOpen.Features.PointSetBuilder.CurvePointsType.EqualParameters , or NXOpen.Features.PointSetBuilder.CurvePointsType.GeometricProgression .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.PointSetBuilder.Types NXOpen.Features.PointSetBuilder.Type
getset

Returns or sets the type setting.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.